Subject: Re: G++ and ISO C++ conformity?
From: "Jason Craig" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 9 Sep 2000 09:44:17 -0600

Correct me if I am wrong, but haven't string streams been depricated?

- Jason Craig
  [email-masked]

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, September 06, 2000 4:01 AM
Subject: G++ and ISO C++ conformity?

> Hi,
> 
> I have recently downloaded the latest Cygwin archive
> to start a project in C++. I have read Bjarne Stroustrup's
> "The C++ Programming Language" (Special Ed.) and was surprised
> to find several includes and functions missing in the g++
> distribution.
> 
> Header files that could not be found:
>      <limits>   e.g. numeric_limits<int>::max();
>         <sstream>  e.g. ostringstream ost;
> 
> Furthermore the "range controlled" indexing via at()
> would not work.
> 
> Can it be that G++ does not completely support ISO C++?
> Or did I forget to install something?
> Is an update planned, if indeed some features of ISO C++
> are indeed missing in g++?
> 
> I used the Setup.exe and did a complete Install via
> Internet.
> 
> Thanks for your time...
> 
> Regards,
>      AEon

--
Want to unsubscribe from this list?
Send a message to [email-masked]